import 'package:example/employee/employee.model.dart';
import 'package:flutter/material.dart';
import 'package:tecfy_basic_package/tecfy_basic_package.dart';

class EmployeeController extends BaseController {
  late List<Employee> employees;
  ValueNotifier<int> length = ValueNotifier<int>(0);
  EmployeeController(state) : super(state) {
    employees = [];
  }

  @override
  void dispose() {
    length.dispose();
    super.dispose();
  }

  void addEmployee() {
    employees.add(
        Employee('${employees.length + 1}', 'Empl ${employees.length + 1}'));
    length.value = employees.length;
    //setState();
  }
}
